Skip to main content
GET
/
v1
/
payouts
List Payouts
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/payouts \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "unique_request_id": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0",
      "payout_id": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0",
      "payout_currency": "USD",
      "payout_amount": "1000.00",
      "fee_paid_by": "SHARED",
      "fee_currency": "USD",
      "fee_amount": "1.00",
      "payout_date": "2024-03-01",
      "short_reference_id": "P220406-LLCVLRM",
      "payout_reference": "026073150",
      "payout_reason": "Audiovisual services",
      "purpose_code": "AUDIO_VISUAL_SERVICES",
      "payout_status": "READY_TO_SEND",
      "create_time": "2024-03-01T00:00:00+08:00",
      "update_time": "2024-03-01T00:00:00+08:00",
      "complete_time": "2024-03-01T00:00:00+08:00",
      "failure_returned_amount": "1000.00",
      "failure_reason": "",
      "quote_id": "784832f7-1f8a-4b08-ac2a-8719b5b2a590",
      "conversion": {
        "currency_pair": "USDEUR",
        "client_rate": "1.355957"
      }
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
required

The maximum number of items to return per page. Must be between 10 and 100, inclusive.

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve a specific set of items. Must be 1 or greater.

Required range: x >= 1
Example:

1

payout_status
enum<string>

Status of the payout The payout's status.

Available options:
READY_TO_SEND,
PENDING,
REJECTED,
FAILED,
COMPLETED
start_time
string

The start time of created_time in ISO8601 format (inclusive).

Example:

"2024-03-01T00:00:00+08:00"

end_time
string

The end time of created_time in ISO8601 format (inclusive).

Example:

"2024-03-01T00:00:00+08:00"

Response

OK - Successfully retrieved a list of payouts.

total_pages
integer

The total number of pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]